## digikam-4.10.0.tar.bz2

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

cmake_minimum_required(VERSION 2.8.4)

if(POLICY CMP0011)
   cmake_policy(SET CMP0017 NEW)
endif()

project(digikam-sc)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)

# COMPILATION OPTIONS MANAGEMENT ###########################################################################################################

# doc and translations options

option(DIGIKAMSC_CHECKOUT_PO             "Checkout translations files from KDE repositories (default=OFF)"                        OFF)
option(DIGIKAMSC_COMPILE_PO              "Build translations files (default=ON)"                                                  ON)
option(DIGIKAMSC_COMPILE_DOC             "Build handbook files (default=ON)"                                                      ON)

# shared libs options

option(DIGIKAMSC_COMPILE_LIBKIPI         "Build local libkipi library instead of using distributed files (default=OFF)"           OFF)
option(DIGIKAMSC_COMPILE_LIBKEXIV2       "Build local libkexiv2 library instead of using distributed files (default=OFF)"         OFF)
option(DIGIKAMSC_COMPILE_LIBKDCRAW       "Build local libkdcraw library instead of using distributed files (default=OFF)"         OFF)
option(DIGIKAMSC_COMPILE_LIBKSANE        "Build local libksane library instead of using distributed files (default=OFF)"          OFF)
option(DIGIKAMSC_COMPILE_LIBKFACE        "Build local libkface library instead of using distributed files (default=OFF)"          OFF)
option(DIGIKAMSC_COMPILE_LIBKGEOMAP      "Build local libkgeomap library instead of using distributed files (default=OFF)"        OFF)
option(DIGIKAMSC_COMPILE_LIBMEDIAWIKI    "Build local libmediawiki library instead of using distributed files (default=OFF)"      OFF)
option(DIGIKAMSC_COMPILE_LIBKVKONTAKTE   "Build local libkvkontakte library instead of using distributed files (default=OFF)"     OFF)

###########################################################################################################################################

MACRO_BOOL_TO_01(DIGIKAMSC_CHECKOUT_PO           ENABLE_CHECKOUT_PO)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_PO            ENABLE_COMPILE_PO)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_DOC           ENABLE_COMPILE_DOC)

MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBKIPI       ENABLE_COMPILE_LIBKIPI)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBKEXIV2     ENABLE_COMPILE_LIBKEXIV2)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBKDCRAW     ENABLE_COMPILE_LIBKDCRAW)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBKSANE      ENABLE_COMPILE_LIBKSANE)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBKFACE      ENABLE_COMPILE_LIBKFACE)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBKGEOMAP    ENABLE_COMPILE_LIBKGEOMAP)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBMEDIAWIKI  ENABLE_COMPILE_LIBMEDIAWIKI)
MACRO_BOOL_TO_01(DIGIKAMSC_COMPILE_LIBKVKONTAKTE ENABLE_COMPILE_LIBKVKONTAKTE)

###########################################################################################################################################

if(ENABLE_CHECKOUT_PO)

    find_package(Ruby)

    if(RUBY_EXECUTABLE)
        message(STATUS "Extract translation files from KDE repositories. Please wait, it can take a while...")
        execute_process(COMMAND ${RUBY_EXECUTABLE} "${CMAKE_SOURCE_DIR}/project/release/fetch_l10n.rb"
                        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
                        OUTPUT_QUIET
                        ERROR_QUIET)
        message(STATUS "Translation files extraction done.")
    else()
        message(STATUS "Could not find Ruby to extract translation files")
    endif()

endif()

if(ENABLE_COMPILE_PO AND NOT EXISTS ${CMAKE_SOURCE_DIR}/po/)

    message(STATUS "${CMAKE_SOURCE_DIR}/po/ dir do not exists. Translations compilation disabled...")

    if(NOT ENABLE_CHECKOUT_PO)
        message(STATUS "You can use DIGIKAMSC_CHECKOUT_PO option to extract po files from KDE repositories.")
    endif()

    set(ENABLE_COMPILE_PO 0)

endif()

if(ENABLE_COMPILE_PO)
    set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)
endif()

if(KDE4_BUILD_TESTS)
    include(CTest)
    ENABLE_TESTING()
endif()

############################################################################################################################################

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: digiKam Software Collection")

if(ENABLE_COMPILE_LIBKIPI)
    message(STATUS "Local shared libkipi will be compiled.......... YES")
else()
    message(STATUS "Local shared libkipi will be compiled.......... NO")
endif()

if(ENABLE_COMPILE_LIBKEXIV2)
    message(STATUS "Local shared libkexiv2 will be compiled........ YES")
else()
    message(STATUS "Local shared libkexiv2 will be compiled........ NO")
endif()

if(ENABLE_COMPILE_LIBKDCRAW)
    message(STATUS "Local shared libkdcraw will be compiled........ YES")
else()
    message(STATUS "Local shared libkdcraw will be compiled........ NO")
endif()

if(ENABLE_COMPILE_LIBKSANE)
    message(STATUS "Local shared libksane will be compiled......... YES")
else()
    message(STATUS "Local shared libksane will be compiled......... NO")
endif()

if(ENABLE_COMPILE_LIBKFACE)
    message(STATUS "Local shared libkface will be compiled......... YES")
else()
    message(STATUS "Local shared libkface will be compiled......... NO")
endif()

if(ENABLE_COMPILE_LIBKGEOMAP)
    message(STATUS "Local shared libkgeomap will be compiled....... YES")
else()
    message(STATUS "Local shared libkgeomap will be compiled....... NO")
endif()

if(ENABLE_COMPILE_LIBMEDIAWIKI)
    message(STATUS "Local shared libmediawiki will be compiled..... YES")
else()
    message(STATUS "Local shared libmediawiki will be compiled..... NO")
endif()

if(ENABLE_COMPILE_LIBKVKONTAKTE)
    message(STATUS "Local shared libkvkontakte will be compiled.... YES")
else()
    message(STATUS "Local shared libkvkontakte will be compiled.... NO")
endif()

if(ENABLE_CHECKOUT_PO)
    message(STATUS "Extract translations files..................... YES")
else()
    message(STATUS "Extract translations files..................... NO")
endif()

if(ENABLE_COMPILE_PO)
    message(STATUS "Translations will be compiled.................. YES")
else()
    message(STATUS "Translations will be compiled.................. NO")
endif()

if(ENABLE_COMPILE_DOC)
    message(STATUS "Handbooks will be compiled..................... YES")
else()
    message(STATUS "Handbooks will be compiled..................... NO")
endif()

if(KDE4_BUILD_TESTS)
    message(STATUS "Tests code will be compiled.................... YES")
else()
    message(STATUS "Tests code will be compiled.................... NO")
endif()

############################################################################################################################################

# Make sure that the FindXXX modules of the local libraries are found and set compilation variables if necessary

set(CMAKE_MODULE_PATH
    ${CMAKE_SOURCE_DIR}/extra/libkgeomap/cmake/modules
    ${CMAKE_SOURCE_DIR}/extra/libmediawiki/cmake/modules
    ${CMAKE_SOURCE_DIR}/extra/libkvkontakte/cmake/modules
    ${CMAKE_SOURCE_DIR}/cmake/modules
    ${CMAKE_MODULE_PATH}
   )

if(ENABLE_COMPILE_LIBKIPI)
    set(KIPI_LOCAL_DIR extra/libkipi)
endif()

if(ENABLE_COMPILE_LIBKEXIV2)
    set(KEXIV2_LOCAL_DIR extra/libkexiv2)
endif()

if(ENABLE_COMPILE_LIBKFACE)
    set(KFACE_LOCAL_DIR extra/libkface)
endif()

if(ENABLE_COMPILE_LIBKSANE)
    set(KSANE_LOCAL_DIR extra/libksane)
endif()

if(ENABLE_COMPILE_LIBKDCRAW)
    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/extra/libkdcraw/cmake/modules ${CMAKE_MODULE_PATH})
    set(KDCRAW_LOCAL_DIR extra/libkdcraw)
endif()

if(ENABLE_COMPILE_LIBKGEOMAP)
    set(KGEOMAP_LOCAL_DIR extra/libkgeomap)
endif()

if(ENABLE_COMPILE_LIBMEDIAWIKI)
    set(MEDIAWIKI_LOCAL_DIR extra/libmediawiki)
endif()

if(ENABLE_COMPILE_LIBKVKONTAKTE)
    set(LIBKVKONTAKTE_LOCAL_DIR extra/libkvkontakte)
endif()

############################################################################################################################################

add_subdirectory(extra)
add_subdirectory(core)

if(ENABLE_COMPILE_DOC)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(doc)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(doc-translated)
endif()

if(ENABLE_COMPILE_PO)
    find_package(Msgfmt  REQUIRED)
    find_package(Gettext REQUIRED)
    add_subdirectory(po)
endif()

=== core/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(digikam)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: digiKam")

option(ENABLE_INTERNALMYSQL     "Build digiKam with internal MySQL server executable (default=OFF)"              OFF)
option(ENABLE_LCMS2             "Build digiKam with LCMS2 instead LCMS1 (default=OFF)"                           OFF)
option(ENABLE_BALOOSUPPORT      "Build digiKam with Baloo support (default=ON)"                                  ON)
option(ENABLE_KDEPIMLIBSSUPPORT "Build digiKam with Kdepimlibs support (default=OFF)"                            OFF)

# Mysql support options (experimental):
option(ENABLE_MYSQLSUPPORT      "Build digiKam with MySQL dabatase support (default=OFF)"                        OFF)
option(ENABLE_INTERNALMYSQL     "Build digiKam with internal MySQL server executable (default=OFF)"              OFF)

# Debug options:
option(ENABLE_DIGIKAM_MODELTEST "Enable ModelTest on some models for debugging (default=OFF)"                    OFF)
option(ENABLE_IMGLOADERDEBUGMSG "Build digiKam with more internal debug message into image loader (default=OFF)" OFF)

# ==================================================================================================
# Information to update before to release this package.

# digiKam version
set(DIGIKAM_MAJOR_VERSION "4")
set(DIGIKAM_MINOR_VERSION "10")
set(DIGIKAM_PATCH_VERSION "0")

#digiKam release date
set(DIGIKAM_RELEASE_DATE "2015-05-10")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final release. Can be used in production.
set(DIGIKAM_SUFFIX_VERSION "")

# ==================================================================================================
# Set env. variables accordingly.

# NOTE: This string is used to set libdigikamcore and libdigikamdatabase SO version ID
set(DIGIKAM_VERSION_SHORT
    "${DIGIKAM_MAJOR_VERSION}.${DIGIKAM_MINOR_VERSION}.${DIGIKAM_PATCH_VERSION}"
   )

set(DIGIKAM_VERSION_STRING
    "${DIGIKAM_VERSION_SHORT}${DIGIKAM_SUFFIX_VERSION}"
   )

# Databse Schema version
# We must set this variable here at top level because it is used in both digikam/database and data/database
# Version history:
# 1 : Original database schema
# 2 : 08-08-2014 : Fix Images.names field size (see bug #327646)
set(DBCONFIG_XML_VERSION "2")

# ==================================================================================================
# Debug area codes
# These codes will be set for every project specific path automatically, so
# that you can use kDebug() without any usage of the area code throughout the
# digiKam code base.

set(AREA_CODE_GENERAL        "50003")
set(AREA_CODE_KIOSLAVES      "50004")
set(AREA_CODE_SHOWFOTO       "50005")
set(AREA_CODE_IMAGEPLUGINS   "50006")
set(AREA_CODE_DATABASESERVER "50007")
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

macro(SET_DEBUG_AREA_CODE _areacode)
    remove_definitions(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
    add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${_areacode})
endmacro()

# ==================================================================================================
# Dependencies

set(QT_MIN_VERSION   "4.6.0")
set(KDE_MIN_VERSION  "4.4.0")
find_package(Qt4  ${QT_MIN_VERSION}  REQUIRED)
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(FindPackageHandleStandardArgs)
include(FindPkgConfig)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(MacroUtils)
include(MacroOpenCV)
include(MacroJPEG)

# mandatory

set(PGF_MIN_VERSION   "6.12.24")
find_package(TIFF                    REQUIRED)
find_package(PNG                     REQUIRED)
find_package(PGF ${PGF_MIN_VERSION}  REQUIRED)
find_package(Kexiv2                  REQUIRED)
find_package(Kdcraw                  REQUIRED)

# optional

set(KIPI_MIN_VERSION  "2.0.0")
find_package(Kipi ${KIPI_MIN_VERSION})
find_package(Kface)
find_package(KGeoMap)
find_package(PkgConfig)
find_package(Jasper)
find_package(Eigen3)
find_package(Boost)

# -- check OpenCV --------------------------------------------------------------------------------

set(OPENCV_MIN_VERSION "2.4.9")
DETECT_OPENCV(${OPENCV_MIN_VERSION}  core highgui objdetect contrib legacy imgproc)

# -- check the libkdcraw version -----------------------------------------------------------------

set(KDCRAW_MIN_VERSION "2.2.0")

if(KDCRAW_VERSION)

    message(STATUS "libkdcraw: Found version ${KDCRAW_VERSION} (required: ${KDCRAW_MIN_VERSION})")
    if(${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
        set(KDCRAW_FOUND FALSE)
    endif()

else()

    message(WARNING "libkdcraw: Version information not found, your version is probably too old.")
    set(KDCRAW_FOUND FALSE)

endif()

# -- check the libkgeomap version -----------------------------------------------------------------

set(KGEOMAP_MIN_VERSION "3.0.0")

if(KGEOMAP_VERSION)

    message(STATUS "libkgeomap: Found version ${KGEOMAP_VERSION} (required: ${KGEOMAP_MIN_VERSION})")
    if(${KGEOMAP_VERSION} VERSION_LESS ${KGEOMAP_MIN_VERSION})
        SET(KGEOMAP_FOUND FALSE)
    endif()

else()

    message(WARNING "libkgeomap: Version information not found, your version is probably too old.")
    set(KGEOMAP_FOUND FALSE)

endif()

# -- LCMS version 1 and 2 library handling (See bug #294105) -------------------------------------
# Note: if ENABLE_LCMS2 is on and no LCMS2 is available, build will fail, even if LCMS1 is present

if(ENABLE_LCMS2)

    message(STATUS "Check for LCMS2 availability...")
    find_package(LCMS2)

    if(LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))

        message(STATUS "Found LCMS2: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
        set(LCMS_FOUND ${LCMS2_FOUND})
        set(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
        set(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
        set(USE_LCMS_VERSION_2000 1)

    endif()

else()

    message(STATUS "Check for LCMS1 availability...")
    find_package(LCMS)

    if(LCMS_FOUND)

        message(STATUS "Found LCMS1: ${LCMS_LIBRARIES} ${LCMS_INCLUDE_DIR}")
        set(USE_LCMS_VERSION_1000 1)

    else()

        message(STATUS "Check for LCMS2 availability instead LCMS1...")
        find_package(LCMS2)

        if(LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))
            message(STATUS "Found LCMS2 instead LCMS1: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
            set(LCMS_FOUND ${LCMS2_FOUND})
            set(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
            set(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
            set(USE_LCMS_VERSION_2000 1)
        endif()

    endif()

endif()

# -- To link under Solaris (see bug #274484) ------------------------------------------------------

if(NOT WIN32)
    find_library(MATH_LIBRARY m)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
    find_library(KVM_LIBRARY kvm)
endif()

# -- Libjpeg rules --------------------------------------------------------------------------------

DETECT_JPEG()
set(DIGIKAM_LIBJPEG_DIR libjpeg-${JPEG_LIB_VERSION})

# -- Mysql rules ----------------------------------------------------------------------------------

if(ENABLE_MYSQLSUPPORT AND ENABLE_INTERNALMYSQL)

    # Check MySQL executables

    find_program(SERVERCMD_MYSQL mysqld
                 PATHS /usr/sbin
                       /usr/local/sbin
                       /usr/libexec
                       /usr/local/libexec
                       /opt/local/libexec
                       /opt/mysql/libexec
                       /usr/mysql/bin
                       /opt/mysql/sbin
                       ${MYSQLD_PATH}
                 ENV MYSQLD_PATH )
    message(STATUS "Found MySQL server executable at: ${SERVERCMD_MYSQL}")

    # NOTE: under windows, mysql_install_db PERL script is named "mysql_install_db.pl"
    #       under MACOS-X, through macports project, mysql_install_db PERL script is named "mysql_install_db5"

    find_program(INITCMD_MYSQL mysql_install_db mysql_install_db5 mysql_install_db.pl
                 PATHS /usr/sbin
                       /usr/local/sbin
                       /usr/libexec
                       /usr/local/libexec
                       /opt/mysql/libexec
                       /usr/mysql/bin
                       /opt/mysql/bin
                       /usr/share/mysql/scripts
                       ${MYSQL_TOOLS_PATH}
                 ENV MYSQL_TOOLS_PATH)
    message(STATUS "Found MySQL install_db executable at: ${INITCMD_MYSQL}")
    set(DATABASESERVERDIR "${CMAKE_CURRENT_SOURCE_DIR}/databaseserver")

else()

    set(DATABASESERVERDIR "")

endif()

# ==================================================================================================
# Optional dependencies

MACRO_OPTIONAL_FIND_PACKAGE(Doxygen)
MACRO_OPTIONAL_FIND_PACKAGE(Sqlite2)
MACRO_OPTIONAL_FIND_PACKAGE(Lqr-1)

# -- libgphoto2 rules --------------------------------------------------------------------------

MACRO_OPTIONAL_FIND_PACKAGE(Gphoto2)

if(NOT WIN32 AND GPHOTO2_FOUND)
    # See bug #268267 : digiKam need to be linked to libusb to prevent crash at gphoto2 init if opencv is linked with libdc1394
    MACRO_OPTIONAL_FIND_PACKAGE(USB)
endif()

if(GPHOTO2_FOUND)
    exec_program(gphoto2-config ARGS --version RETURN_VALUE _return_VALUE OUTPUT_VARIABLE GPHOTO2_VERSION)
    string(REPLACE "libgphoto2" "" GPHOTO2_VERSION "${GPHOTO2_VERSION}")
    MACRO_ENSURE_VERSION("2.4.0" "${GPHOTO2_VERSION}" VERSION_GPHOTO2)

    if(VERSION_GPHOTO2 AND LIBUSB_FOUND)
        set(GPHOTO2_FOUND true)
    else()
        set(GPHOTO2_FOUND false)
    endif()

    MACRO_ENSURE_VERSION("2.5.0" "${GPHOTO2_VERSION}" VERSION_GPHOTO25)

    if(VERSION_GPHOTO25)
        set(HAVE_GPHOTO25 1)
    else()
        set(HAVE_GPHOTO25 0)
    endif()
endif()

# -- KDEPim libraries rules -------------------------------------------------------------------

if(ENABLE_KDEPIMLIBSSUPPORT)
    MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)
endif()

# -- Check LensFun library for Lens auto-correction tool --------------------------------------

MACRO_OPTIONAL_FIND_PACKAGE(LensFun)

set(LENSFUN_MIN_VERSION "0.2.6.0")

if(LENSFUN_VERSION)
    message(STATUS "liblensfun: Found version ${LENSFUN_VERSION} (required: ${LENSFUN_MIN_VERSION})")
    if(${LENSFUN_VERSION} VERSION_LESS ${LENSFUN_MIN_VERSION})
        set(LENSFUN_FOUND FALSE)
    endif()
else()
    message(WARNING "liblensfun: Version information not found, your version is probably too old.")
    set(LENSFUN_FOUND FALSE)
endif()

# -- Baloo rules -----------------------------------------------------------------------------

if(ENABLE_BALOOSUPPORT)
    # Baloo support from 4.12
    if(${KDE_VERSION} VERSION_GREATER "4.11.99")

        MACRO_OPTIONAL_FIND_PACKAGE(KFileMetaData CONFIG)
        MACRO_LOG_FEATURE(KFileMetaData_FOUND "KFileMetaData Library"
                          "A library for extracting file metadata" "https://projects.kde.org/kfilemetadata" TRUE)

        MACRO_OPTIONAL_FIND_PACKAGE(Baloo)
        MACRO_LOG_FEATURE(Baloo_FOUND "Baloo" "Baloo"
                          "http://www.kde.org" TRUE "" "Baloo extends the search and tagging")

        if(NOT KFileMetaData_FOUND)
            set(Baloo_FOUND FALSE)
        endif()

    endif()
endif()

# -- compilation options definitions --------------------------------------------------------

=== doc-translated/CMakeLists.txt ===
add_subdirectory( it )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( sv )
add_subdirectory( uk )

=== core/app/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/utils/version.h.cmake.in            ${CMAKE_CURRENT_BINARY_DIR}/utils/version.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/database/dbconfigversion.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/database/dbconfigversion.h)

# Shared libdigikamcore ################################################################

set(digikamcore_LIB_SRCS
    # basic libs
    ${libdimg_SRCS}
    ${libdimgloaders_SRCS}
    ${libdimgfilters_SRCS}
    ${libdmetadata_SRCS}
    ${libjpegutils_SRCS}
    ${libprogressmanager_SRCS}
    ${libdatabasecore_SRCS}
    ${libthreadimageio_SRCS}
    ${pgfutils_SRCS}
    ${libdigikamhelpers_SRCS}
    ${libtthread_SRCS}
    ${libversionmanager_SRCS}
    ${libkde3rdparty_SRCS}

    # widgets and dialogs
    ${libcommonwidgets_SRCS}
    ${libnotificationmanager_SRCS}
    ${libmainview_SRCS}
    ${libitemview_SRCS}
    ${libeditorwidgets_SRCS}
    ${libiccprofileswidgets_SRCS}
    ${libmetadatawidgets_SRCS}
    ${libdialogs_SRCS}
    ${libimageproperties_SRCS}
    ${libgraphicsviewwidgets_SRCS}
    ${libgenericmodels_SRCS}

    # utilities
    ${libslideshow_SRCS}
    ${libeditorcore_SRCS}
    ${libeditordlg_SRCS}
    ${libeditorprintiface_SRCS}
    ${libeditorrawimport_SRCS}
    ${libeditoriface_SRCS}
    ${libeditorplugin_SRCS}
   )

if(KGEOMAP_FOUND)
    set(digikamcore_LIB_SRCS ${digikamcore_LIB_SRCS}
                             ${libkgeomaphelper_SRCS}
       )
endif()

KDE4_ADD_UI_FILES(digikamcore_LIB_SRCS
                  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/imageeditor/printiface/printoptionspage.ui
                 )

KDE4_ADD_KCFG_FILES(digikamcore_LIB_SRCS
                    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/imageeditor/printiface/digikamconfig.kcfgc
                   )

KDE4_ADD_LIBRARY(digikamcore SHARED ${digikamcore_LIB_SRCS})

add_dependencies(digikamcore digikam-gitversion)

target_link_libraries(digikamcore
                      ${QT_QTSQL_LIBRARY}

                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_KFILE_LIBS}
                      ${KDE4_KHTML_LIBS}
                      ${KDE4_KNOTIFYCONFIG_LIBRARY}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KUTILS_LIBS}
                      ${KDE4_SOLID_LIBS}
                      ${KDE4_THREADWEAVER_LIBRARIES}

                      ${JPEG_LIBRARIES}
                      ${TIFF_LIBRARIES}
                      ${PNG_LIBRARIES}
                      ${LCMS_LIBRARIES}
                      ${OpenCV_LIBRARIES}
                      ${PGF_LIBRARIES}

                      # Required by CImg library which is using pthread internally.
                      ${CMAKE_THREAD_LIBS_INIT}

                      ${KDCRAW_LIBRARIES}
                      ${KEXIV2_LIBRARIES}
                     )

if(Q_WS_X11)
    target_link_libraries(digikamcore ${X11_LIBRARIES})
endif()

if(APPLE)
    target_link_libraries(digikamcore /System/Library/Frameworks/AppKit.framework)
endif()

if(JASPER_FOUND)
    target_link_libraries(digikamcore ${JASPER_LIBRARIES})
endif()

if(LENSFUN_FOUND)
   target_link_libraries(digikamcore ${LENSFUN_LIBRARIES})
endif()

if(LQR-1_FOUND)
   target_link_libraries(digikamcore ${liblqr_LIBS})
endif()

if(KIPI_FOUND)
   target_link_libraries(digikamcore ${KIPI_LIBRARIES})
endif()

if(KFACE_FOUND)
   target_link_libraries(digikamcore ${KFACE_LIBRARIES})
endif()

if(KGEOMAP_FOUND)
   target_link_libraries(digikamcore ${KGEOMAP_LIBRARIES})
endif()

set_target_properties(digikamcore PROPERTIES VERSION ${DIGIKAM_VERSION_SHORT} SOVERSION ${DIGIKAM_VERSION_SHORT})

if(WIN32)
    set_target_properties(digikamcore PROPERTIES COMPILE_FLAGS -DJPEG_STATIC)
    set_target_properties(digikamcore PROPERTIES OUTPUT_NAME   digikamlib)
endif()

install(TARGETS digikamcore ${INSTALL_TARGETS_DEFAULT_ARGS})

# Shared libdigikamdatabase ########################################################

set(digikamdatabase_LIB_SRCS
        ${libdatabase_SRCS}
        ${libdatabasemodels_SRCS}
        ${libhaar_SRCS}
        ${pgfutils_SRCS}
   )

if(Baloo_FOUND)
    set(digikamdatabase_LIB_SRCS ${digikamdatabase_LIB_SRCS} ${libbaloowrap_SRCS})
endif()

if(SQLITE2_FOUND)
    set(digikamdatabase_LIB_SRCS ${digikamdatabase_LIB_SRCS} ${libalbumsqlite2_SRCS})
endif()

KDE4_ADD_LIBRARY(digikamdatabase SHARED ${digikamdatabase_LIB_SRCS})

target_link_libraries(digikamdatabase
                      digikamcore
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTSQL_LIBRARY}

                      ${KDE4_KIO_LIBS}
                      ${KDE4_SOLID_LIBS}

                      ${KEXIV2_LIBRARIES}
                      ${KDCRAW_LIBRARIES}

                      ${PGF_LIBRARIES}
                     )

if(KFACE_FOUND)
   target_link_libraries(digikamdatabase ${KFACE_LIBRARIES})
endif()

if(KGEOMAP_FOUND)
   target_link_libraries(digikamdatabase ${KGEOMAP_LIBRARIES})
endif()

if(Baloo_FOUND)
    target_link_libraries(digikamdatabase ${BALOO_LIBRARIES})
endif()

if(SQLITE2_FOUND)
    target_link_libraries(digikamdatabase ${SQLITE2_LIBRARIES})
endif()

set_target_properties(digikamdatabase PROPERTIES VERSION ${DIGIKAM_VERSION_SHORT} SOVERSION ${DIGIKAM_VERSION_SHORT})

install(TARGETS digikamdatabase ${INSTALL_TARGETS_DEFAULT_ARGS} )

# digiKam binary progam #########################################################

set(digikam_SRCS ${libeditorgui_SRCS}
                 ${libdeletedialog_SRCS}
                 ${libimagepropertiesdigikam_SRCS}
                 ${libimageversionssidebar_SRCS}
                 ${libsetup_SRCS}
                 ${libimportui_SRCS}
                 ${liblighttable_SRCS}
                 ${libmaintenance_SRCS}
                 ${libsearchwindow_SRCS}
                 ${libfuzzysearch_SRCS}
                 ${libqueuemanager_SRCS}
                 ${libalbummodels_SRCS}
                 ${libdigikamgui_SRCS}
                 ${libfirstrun_SRCS}
                 ${libtemplate_SRCS}
                 ${libdatabaseui_SRCS}
                 ${libimgqsort_SRCS}
                 main/main.cpp
   )

if(KIPI_FOUND)
    set(digikam_SRCS ${digikam_SRCS} ${libkipiiface_SRCS})
endif()

if(KFACE_FOUND)
    set(digikam_SRCS ${digikam_SRCS} ${libfacemanagement_SRCS})
endif()

if(KGEOMAP_FOUND)
    set(digikam_SRCS ${digikam_SRCS} ${libkgeomaphelper_SRCS} ${libgpssearch_SRCS})
endif()

QT4_ADD_DBUS_ADAPTOR(digikam_SRCS main/org.kde.digikam.xml main/digikamapp.h Digikam::DigikamApp)

KDE4_ADD_APP_ICON(digikam_SRCS "../data/icons/apps/hi*-app-digikam.png")

KDE4_ADD_EXECUTABLE(digikam ${digikam_SRCS})

# TO fill plist XML file for OSX #####################################################

set(MACOSX_APP_NAME_STRING             "digikam")
set(MACOSX_APP_DESCRIPTION             "Advanced digital photo management application")
set(MACOSX_BUNDLE_LONG_VERSION_STRING  ${DIGIKAM_VERSION_STRING})
set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${DIGIKAM_VERSION_SHORT})
set(MACOSX_BUNDLE_BUNDLE_VERSION       ${DIGIKAM_VERSION_STRING})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../cmake/templates/Info.plist.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)
set_target_properties(digikam PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)


target_link_libraries(digikam
                      ${QT_QTSQL_LIBRARY}
                      ${QT_QTTEST_LIBRARY}

                      ${KDE4_KPARTS_LIBS}
                      ${KDE4_PHONON_LIBS}
                      ${KDE4_KHTML_LIBS}
                      ${KDE4_KUTILS_LIBS}
                      ${KDE4_KNOTIFYCONFIG_LIBRARY}
                      ${KDE4_SOLID_LIBS}
                      ${KDE4_THREADWEAVER_LIBRARIES}

                      ${KEXIV2_LIBRARIES}
                      ${KDCRAW_LIBRARIES}

                      ${LCMS_LIBRARIES}

                      digikamcore
                      digikamdatabase
                      advancedrename
                      queuemanager
                      importui

                      ${OpenCV_LIBRARIES}
                     )

if(KDEPIMLIBS_FOUND)
  target_link_libraries(digikam ${KDE4_KABC_LIBS} ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS})
endif()

if(KIPI_FOUND)
   target_link_libraries(digikam ${KIPI_LIBRARIES})
endif()

if(KFACE_FOUND)
   target_link_libraries(digikam ${KFACE_LIBRARIES})
endif()

if(KGEOMAP_FOUND)
   target_link_libraries(digikam ${KGEOMAP_LIBRARIES})
endif()

if(NOT WIN32)
    # To link under Solaris (see bug #274484)
    target_link_libraries(digikam ${MATH_LIBRARY})
endif()

if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
    target_link_libraries(digikam ${KVM_LIBRARY})
endif()

if(GPHOTO2_FOUND)
    # See bug #258931: libgphoto2 library must be the last arg for linker.
    target_link_libraries(digikam ${GPHOTO2_LIBRARIES})
endif()

if(NOT WIN32 AND GPHOTO2_FOUND)
    # See bug #268267 : digiKam need to be linked to libusb to prevent crash at gphoto2 init if opencv is linked with libdc1394
    target_link_libraries(digikam ${LIBUSB_LIBRARIES})
endif()

install(TARGETS digikam ${INSTALL_TARGETS_DEFAULT_ARGS})

# Others Files to install #######################################################

install(PROGRAMS main/digikam.desktop     DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES    main/digikam.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata)
install(FILES    main/digikamui.rc        DESTINATION ${DATA_INSTALL_DIR}/digikam)
install(FILES    main/digikam.notifyrc    DESTINATION ${DATA_INSTALL_DIR}/digikam)

=== core/kioslave/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

SET_DEBUG_AREA_CODE(${AREA_CODE_KIOSLAVES})

# # digiKam Tags kio slave ###########################################################

set(kio_digikamtags_PART_SRCS digikamtags.cpp)

KDE4_ADD_PLUGIN(kio_digikamtags ${kio_digikamtags_PART_SRCS})

target_link_libraries(kio_digikamtags
                      digikamdatabase
                      digikamcore
                      ${KDE4_KIO_LIBS}
                      ${QT_QTCORE_LIBRARY}
                     )

# # digiKam Albums kio slave #########################################################

set(kio_digikamalbums_PART_SRCS digikamalbums.cpp)

KDE4_ADD_PLUGIN(kio_digikamalbums ${kio_digikamalbums_PART_SRCS})

target_link_libraries(kio_digikamalbums
                      digikamdatabase
                      digikamcore
                      ${KDE4_KIO_LIBS}
                      ${QT_QTCORE_LIBRARY}
                     )

# # digiKam Date kio slave ###########################################################

set(kio_digikamdates_PART_SRCS digikamdates.cpp)

KDE4_ADD_PLUGIN(kio_digikamdates ${kio_digikamdates_PART_SRCS})

target_link_libraries(kio_digikamdates
                      digikamdatabase
                      digikamcore
                      ${KDE4_KIO_LIBS}
                      ${QT_QTCORE_LIBRARY}
                     )

# # digiKam MapImages kio slave ######################################################

set(kio_digikammapimages_PART_SRCS digikammapimages.cpp)

KDE4_ADD_PLUGIN(kio_digikammapimages ${kio_digikammapimages_PART_SRCS})

target_link_libraries(kio_digikammapimages
                      digikamdatabase
                      digikamcore
                      ${KDE4_KIO_LIBS}
                      ${QT_QTCORE_LIBRARY}
                     )

# # digiKam Search kio slave #########################################################

set(kio_digikamsearch_PART_SRCS digikamsearch.cpp)

KDE4_ADD_PLUGIN(kio_digikamsearch ${kio_digikamsearch_PART_SRCS})

target_link_libraries(kio_digikamsearch
                      digikamdatabase
                      digikamcore
                      ${KDE4_KIO_LIBS}
                      ${QT_QTCORE_LIBRARY}
                     )

# Files to install ###################################################################

install(TARGETS kio_digikamtags      DESTINATION ${PLUGIN_INSTALL_DIR})
install(TARGETS kio_digikamdates     DESTINATION ${PLUGIN_INSTALL_DIR})
install(TARGETS kio_digikamsearch    DESTINATION ${PLUGIN_INSTALL_DIR})
install(TARGETS kio_digikamalbums    DESTINATION ${PLUGIN_INSTALL_DIR})
install(TARGETS kio_digikammapimages DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES digikamtags.protocol
              digikamalbums.protocol
              digikamdates.protocol
              digikamsearch.protocol
              digikammapimages.protocol
        DESTINATION ${SERVICES_INSTALL_DIR}
       )

=== core/showfoto/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

SET_DEBUG_AREA_CODE(${AREA_CODE_SHOWFOTO})

# We need to include the setup dir for showfoto BEFORE the other include dirs,
# otherwise the one from the "utilities" dir will be used
include_directories(BEFORE
                    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar
                    ${CMAKE_CURRENT_SOURCE_DIR}/setup
                    ${CMAKE_CURRENT_SOURCE_DIR}/main
                   )

#Require by Greycstoration algorithm (CImg.h)
if(NOT MSVC)
    add_definitions(${KDE4_ENABLE_EXCEPTIONS})
endif()

set(showfoto_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/setup/setupeditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/setup/setupiofiles.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/setup/setupraw.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/setup/setupicc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/setup/setupslideshow.cpp

    ${CMAKE_CURRENT_SOURCE_DIR}/setup/showfotosetuptooltip.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/setup/showfotosetupmisc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/setup/showfotosetupmetadata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/setup/showfotosetup.cpp

    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotoiteminfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotoimagemodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotothumbnailmodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotofiltermodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotodragdrophandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotokineticscroller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotoitemsortsettings.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotocoordinatesoverlay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/itemviewshowfotodelegate.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotodelegate.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfototooltipfiller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotocategorizedview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thumbbar/showfotothumbnailbar.cpp

    ${CMAKE_CURRENT_SOURCE_DIR}/main/showfotosettings.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/main/main.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/main/showfoto.cpp
   )

KDE4_ADD_APP_ICON(showfoto_SRCS "../data/icons/apps/hi*-app-showfoto.png")

KDE4_ADD_EXECUTABLE(showfoto ${showfoto_SRCS})

# To fill plist XML file for OSX #####################################################

set(MACOSX_APP_NAME_STRING             "showfoto")
set(MACOSX_APP_DESCRIPTION             "Stand alone Photo Editor based on digiKam Image Editor")
set(MACOSX_BUNDLE_LONG_VERSION_STRING  ${DIGIKAM_VERSION_STRING})
set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${DIGIKAM_VERSION_SHORT})
set(MACOSX_BUNDLE_BUNDLE_VERSION       ${DIGIKAM_VERSION_STRING})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../cmake/templates/Info.plist.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)
set_target_properties(showfoto PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)

target_link_libraries(showfoto
                      digikamcore

                      ${KEXIV2_LIBRARIES}
                      ${KDCRAW_LIBRARIES}
                      ${KGEOMAP_LIBRARIES}
                      ${KDE4_KIO_LIBS}
                      ${LCMS_LIBRARIES}
                      ${OpenCV_LIBRARIES}
                     )

if(KGEOMAP_FOUND)
   target_link_libraries(showfoto ${KGEOMAP_LIBRARIES})
endif()

if(NOT WIN32)
    # To link under Solaris (see bug #274484)
    target_link_libraries(showfoto ${MATH_LIBRARY})
endif()

if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
    target_link_libraries(showfoto ${KVM_LIBRARY})
endif()

install(TARGETS  showfoto ${INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS main/showfoto.desktop     DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES    main/showfoto.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata)
install(FILES    main/showfotoui.rc        DESTINATION ${DATA_INSTALL_DIR}/showfoto)

=== doc-translated/sv/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv/ SUBDIR digikam )

=== extra/kipi-plugins/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(kipi-plugins)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: kipi-plugins")

# =======================================================
# Information to update before to release this package.

# kipi-plugins version
set(KIPIPLUGINS_MAJOR_VERSION "4")
set(KIPIPLUGINS_MINOR_VERSION "10")
set(KIPIPLUGINS_PATCH_VERSION "0")

# kipi-plugins release date
set(KIPIPLUGINS_RELEASE_DATE "2015-05-10")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
set(KIPIPLUGINS_SUFFIX_VERSION "")

# =======================================================
# Set env. variables accordinly.

set(KIPIPLUGINS_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}${KIPIPLUGINS_SUFFIX_VERSION}"
   )

# NOTE: This string is used to set libkipiplugins SO version ID
set(KIPIPLUGINS_LIB_SO_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}"
   )

# =======================================================

cmake_policy(SET CMP0017 NEW)

set(QT_MIN_VERSION   "4.6.0")
set(KDE_MIN_VERSION  "4.4.0")
find_package(Qt4  ${QT_MIN_VERSION}  REQUIRED)
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)

include(MacroOptionalFindPackage)
include(FindPackageHandleStandardArgs)
include(KDE4Defaults)
include(MacroLibrary)

# Put local modules first
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

# Dependencies detection required by all plugins

set(KIPI_MIN_VERSION "2.0.0")
find_package(Kipi ${KIPI_MIN_VERSION})

if(KIPI_FOUND)

    find_package(Kexiv2 REQUIRED)
    find_package(JPEG   REQUIRED)
    find_package(PNG    REQUIRED)
    find_package(TIFF   REQUIRED)
    find_package(Kdcraw REQUIRED)

    # -- check the libkdcraw version -----------------------------------------------------------------

    set(KDCRAW_MIN_VERSION "2.2.0")

    if(KDCRAW_VERSION)

        message(STATUS "libkdcraw: Found version ${KDCRAW_VERSION} (required: ${KDCRAW_MIN_VERSION})")
        if (${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
            set(KDCRAW_FOUND FALSE)
        endif()

    else()

        message(WARNING "libkdcraw: Version information not found, your version is probably too old.")
        set(KDCRAW_FOUND FALSE)

    endif()

    # -- Optional dependencies detection required by some plugins -------------------------------------

    MACRO_OPTIONAL_FIND_PACKAGE(EXPAT)                                       # For DNGConverter: XMP SDK need Expat library to compile.
    MACRO_OPTIONAL_FIND_PACKAGE(Threads)                                     # For DNGConverter: DNG SDK need native threads support.
    MACRO_OPTIONAL_FIND_PACKAGE(LibXml2)                                     # For Htmlexport.
    MACRO_OPTIONAL_FIND_PACKAGE(LibXslt)                                     # For Htmlexport.
    MACRO_OPTIONAL_FIND_PACKAGE(OpenGL)                                      # For AdvancedSlideshow and ImageViewer.
    MACRO_OPTIONAL_FIND_PACKAGE(Ipod)                                        # For ipodexport.
    MACRO_OPTIONAL_FIND_PACKAGE(Gdk)                                         # For ipodexport.
    MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)                                       # For ipodexport.
    MACRO_OPTIONAL_FIND_PACKAGE(GObject)                                     # For ipodexport.
    MACRO_OPTIONAL_FIND_PACKAGE(FLEX)                                        # For Panorama (must be found before KdepimLibs for MacOS).
    MACRO_OPTIONAL_FIND_PACKAGE(BISON)                                       # For Panorama (must be found before KdepimLibs for MacOS).
    MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)                                  # For Calendar (libkcal).
    MACRO_OPTIONAL_FIND_PACKAGE(QCA2)                                        # For Shwup and YandexFotki.
    MACRO_OPTIONAL_FIND_PACKAGE(KSane)                                       # For AcquireImages.
    MACRO_OPTIONAL_FIND_PACKAGE(QJSON)                                       # For Debian Screenshots Facebook, GoogleDrive, Dropbox and Imgur.
    MACRO_OPTIONAL_FIND_PACKAGE(KGeoMap)                                     # For GPSSync.
    MACRO_OPTIONAL_FIND_PACKAGE(Mediawiki)                                   # For Mediawiki.
    MACRO_OPTIONAL_FIND_PACKAGE(LibKVkontakte)                               # For VKontakte.
    MACRO_OPTIONAL_FIND_PACKAGE(Hupnp)                                       # For DlnaExport.
    MACRO_OPTIONAL_FIND_PACKAGE(QtSoap)                                      # For DlnaExport.
    MACRO_OPTIONAL_FIND_PACKAGE(ImageMagick COMPONENTS MagickCore display)   # For VideoSlideshow.
    MACRO_OPTIONAL_FIND_PACKAGE(QtGStreamer)                                 # For VideoSlideshow.
    MACRO_OPTIONAL_FIND_PACKAGE(QtKOAuth)                                    # For Imgur Auhtenticated API

    # -- check the libkgeomap version -----------------------------------------------------------------

    set(KGEOMAP_MIN_VERSION "3.0.0")

    if(KGEOMAP_VERSION)

        message(STATUS "libkgeomap: Found version ${KGEOMAP_VERSION} (required: ${KGEOMAP_MIN_VERSION})")
        if(${KGEOMAP_VERSION} VERSION_LESS ${KGEOMAP_MIN_VERSION})
            set(KGEOMAP_FOUND FALSE)
        endif()

    else()

        message(WARNING "libkgeomap: Version information not found, your version is probably too old.")
        set(KGEOMAP_FOUND FALSE)

    endif()

    # -- X11 check, LINUX Only -------------------------------------------------------------------------

    if(NOT WIN32 AND NOT APPLE)
        MACRO_OPTIONAL_FIND_PACKAGE(X11)                                     # For AdvancedSlideshow and ImageViewer.
    endif()

    # -- OpenCV ----------------------------------------------------------------------------------------

    include(MacroUtils)
    include(MacroOpenCV)
    set(OPENCV_MIN_VERSION "2.4.9")
    DETECT_OPENCV(${OPENCV_MIN_VERSION} core highgui objdetect contrib legacy imgproc)

    include(MacroOptionalDependPackage)

    # ==================================================================================================
    # Log messages

    message(STATUS "")
    message(STATUS "----------------------------------------------------------------------------------")
    message(STATUS " kipi-plugins ${KIPIPLUGINS_VERSION_STRING} dependencies results   <http://www.digikam.org>")
    message(STATUS "")

    # Require shared libraries results.

    PRINT_LIBRARY_STATUS("libqt"     "http://www.qtsoftware.com"                                        "(version >= ${QT_MIN_VERSION})"     QT_FOUND)
    PRINT_LIBRARY_STATUS("libkde"    "http://www.kde.org"                                               "(version >= ${KDE_MIN_VERSION})"    KDE4_FOUND)
    PRINT_LIBRARY_STATUS("libjpeg"   "http://www.ijg.org"                                               "(version >= 6b)"                    JPEG_FOUND)
    PRINT_LIBRARY_STATUS("libtiff"   "http://www.remotesensing.org/libtiff"                             "(version >= 3.8.2)"                 TIFF_FOUND)
    PRINT_LIBRARY_STATUS("libpng"    "http://www.libpng.org/pub/png/libpng.html"                        "(version >= 1.2.7)"                 PNG_FOUND)
    PRINT_LIBRARY_STATUS("libkipi"   "https://projects.kde.org/projects/kde/kdegraphics/libs/libkipi"   "(version >= ${KIPI_MIN_VERSION})"   KIPI_FOUND)
    PRINT_LIBRARY_STATUS("libkexiv2" "https://projects.kde.org/projects/kde/kdegraphics/libs/libkexiv2" "(version >= 1.2.0)"                 KEXIV2_FOUND)
    PRINT_LIBRARY_STATUS("libkdcraw" "https://projects.kde.org/projects/kde/kdegraphics/libs/libkdcraw" "(version >= ${KDCRAW_MIN_VERSION})" KDCRAW_FOUND)

    # Optional shared libraries results.

    PRINT_OPTIONAL_LIBRARY_STATUS("libxml2"        "http://xmlsoft.org"                                              "(version >= 2.7.0)"                  "Kipi-plugins will be compiled without libxml2 support."        LIBXML2_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libxslt"        "http://xmlsoft.org/XSLT"                                         "(version >= 1.1.0)"                  "Kipi-plugins will be compiled without libxstl support."        LIBXSLT_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libexpat"       "http://expat.sourceforge.net"                                    "(version >= 2.0.0)"                  "Kipi-plugins will be compiled without libexpat support."       EXPAT_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libopencv"      "http://opencv.willowgarage.com"                                  "(version >= ${OPENCV_MIN_VERSION})"  "Kipi-plugins will be compiled without libopencv support."      OpenCV_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libqjson"       "http://qjson.sourceforge.net"                                    "(version >= 0.6.0)"                  "Kipi-plugins will be compiled without libqjson support."       QJSON_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libkdepimlibs"  "http://pim.kde.org"                                              "(version >= 4.3.0)"                  "Kipi-plugins will be compiled without libkdepimlibs support."  KDEPIMLIBS_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libqca"         "http://delta.affinix.com/qca"                                    "(version >= 2.0.0"                   "Kipi-plugins will be compiled without libqca support."         QCA2_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libkgeomap"     "https://projects.kde.org/projects/extragear/libs/libkgeomap"     "(version >= ${KGEOMAP_MIN_VERSION})" "Kipi-plugins will be compiled without libkgeomap support."     KGEOMAP_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libmediawiki"   "https://projects.kde.org/projects/extragear/libs/libmediawiki"   "(version >= 1.0.0)"                  "Kipi-plugins will be compiled without libmediawiki support."   MEDIAWIKI_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libkvkontakte"  "https://projects.kde.org/projects/extragear/libs/libkvkontakte"  "(version >= 0.1.0)"                  "Kipi-plugins will be compiled without libkvkontakte support."  LIBKVKONTAKTE_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libimagemagick" "http://www.imagemagick.org"                                      "(version >= 5.5.4)"                  "Kipi-plugins will be compiled without libimagemagick support." ImageMagick_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libqtgstreamer" "http://gstreamer.freedesktop.org/modules/qt-gstreamer.html"      "(version >= 0.9.0)"                  "Kipi-plugins will be compiled without libqtgstreamer support." QTGSTREAMER_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libgpod"        "http://www.gtkpod.org/libgpod.html"                              "(version >= 0.7.0)"                  "Kipi-plugins will be compiled without libgpod support."        IPOD_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libgdk"         "http://library.gnome.org/devel/gdk-pixbuf"                       "(version >= 2.0.0)"                  "Kipi-plugins will be compiled without libgdk support."         GDK_FOUND)
    PRINT_OPTIONAL_LIBRARY_STATUS("libqtkoauth"    "http://gitorious.org/kqoauth"                                    "(version >= 0.97)"                   "Kipi-plugins will be compiled without libqtkoauth support."    QTKOAUTH_FOUND)

=== extra/libksane/CMakeLists.txt ===
PROJECT(libksane)

MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS "Starting CMake configuration for: libksane")

# building separately or as part of kdegraphics ?
IF(NOT KDE4_FOUND)
    FIND_PACKAGE(KDE4 REQUIRED)
ENDIF(NOT KDE4_FOUND)

# Check if sane API is available.
IF (NOT WIN32)
    FIND_PACKAGE(Sane)
    macro_log_feature(SANE_FOUND "SANE development toolkit" "Scanner Access Now Easy (SANE) development package" "http://www.sane-project.org" TRUE "" "Needed by libksane")
ENDIF (NOT WIN32)

ADD_DEFINITIONS (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR}
                     ${CMAKE_BINARY_DIR}
                     ${KDE4_INCLUDES}
                     ${CMAKE_CURRENT_BINARY_DIR}/libksane)

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.1.1
# 0.2.0 => 0.2.0

# Library API version
SET(KSANE_LIB_MAJOR_VERSION "0")
SET(KSANE_LIB_MINOR_VERSION "3")
SET(KSANE_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
SET(KSANE_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
SET(KSANE_LIB_SO_CUR_VERSION "0")
SET(KSANE_LIB_SO_REV_VERSION "2")
SET(KSANE_LIB_SO_AGE_VERSION "0")

# =======================================================
# Set env. variables accordinly.

SET(KSANE_LIB_VERSION_STRING "${KSANE_LIB_MAJOR_VERSION}.${KSANE_LIB_MINOR_VERSION}.${KSANE_LIB_PATCH_VERSION}${KSANE_LIB_SUFFIX_VERSION}")
SET(KSANE_LIB_VERSION_ID "0x0${KSANE_LIB_MAJOR_VERSION}0${KSANE_LIB_MINOR_VERSION}0${KSANE_LIB_PATCH_VERSION}")

SET(KSANE_LIB_SO_VERSION_STRING "${KSANE_LIB_SO_CUR_VERSION}.${KSANE_LIB_SO_REV_VERSION}.${KSANE_LIB_SO_AGE_VERSION}")

# =======================================================

ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=51004) 

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libksane/version.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libksane/version.h)

# =======================================================

# To prevent warnings from M$ compiler
IF(WIN32 AND MSVC)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_ATL_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_AFX_SECURE_NO_WARNINGS)
ENDIF(WIN32 AND MSVC)

# =======================================================

IF (SANE_FOUND)
    ADD_SUBDIRECTORY(libksane)
ELSE (SANE_FOUND)
    ADD_SUBDIRECTORY(ksanetwain)
ENDIF (SANE_FOUND)

macro_display_feature_log()

=== extra/libmediawiki/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(libmediawiki)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: libmediawiki")

find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(MacroOptionalFindPackage)
include(FindPackageHandleStandardArgs)

add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(LIBMEDDIAWIKI_AREA_CODE_GENERAL 51007)
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${LIBMEDDIAWIKI_AREA_CODE_GENERAL})

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 1.0.0 => 1.0.0  (released with KDE 4.7.0)

# Library API version
set(MEDIAWIKI_LIB_MAJOR_VERSION "1")
set(MEDIAWIKI_LIB_MINOR_VERSION "0")
set(MEDIAWIKI_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
set(MEDIAWIKI_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(MEDIAWIKI_LIB_SO_CUR_VERSION "1")
set(MEDIAWIKI_LIB_SO_REV_VERSION "0")
set(MEDIAWIKI_LIB_SO_AGE_VERSION "0")

# =======================================================
# Set env. variables accordinly.

set(MEDIAWIKI_LIB_VERSION_STRING    "${MEDIAWIKI_LIB_MAJOR_VERSION}.${MEDIAWIKI_LIB_MINOR_VERSION}.${MEDIAWIKI_LIB_PATCH_VERSION}${MEDIAWIKI_LIB_SUFFIX_VERSION}")
set(MEDIAWIKI_LIB_VERSION_ID        "0x0${MEDIAWIKI_LIB_MAJOR_VERSION}0${MEDIAWIKI_LIB_MINOR_VERSION}0${MEDIAWIKI_LIB_PATCH_VERSION}")
set(MEDIAWIKI_LIB_SO_VERSION_STRING "${MEDIAWIKI_LIB_SO_CUR_VERSION}.${MEDIAWIKI_LIB_SO_REV_VERSION}.${MEDIAWIKI_LIB_SO_AGE_VERSION}")

# =======================================================

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

add_subdirectory(libmediawiki)
add_subdirectory(samplecode)

if(KDE4_BUILD_TESTS)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(tests)
endif()

=== po/ka/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ka ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ta/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ta ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== project/macosx/digikam-package/digikam-portfile/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 133889 2015-03-14 21:30:19Z mk@macports.org $

PortSystem          1.0
PortGroup           kde4 1.1
PortGroup           compiler_blacklist_versions 1.0

name                digikam
version             4.9.0
categories          kde kde4
license             GPL-2+
maintainers         hyper-world.de:jan openmaintainer \
                    gmail.com:caulier.gilles
platforms           darwin

description         Photo Management Programme
long_description    Digital photo management programme to import, organise, enhance, search and export your digital images.

homepage            http://www.digikam.org/
master_sites        kde:stable/digikam/

checksums           rmd160  72e680f932aca65fe0d59a5c313b1d7950ec29ef \
                    sha256  fa24591d183e1a782e053bfca43bb91149465d0f5e49926c7d6dd16f6321f07f
use_bzip2           yes

# List of whole dependencies ###############################################

# Dependencies of digiKam and Kipi-plugins

depends_lib-append  port:kdelibs4 \
                    port:kdepimlibs4 \
                    port:qt4-mac \
                    port:tiff \
                    port:jpeg \
                    port:libpng \
                    port:opencv \
                    port:marble
depends_lib-append  port:libpgf

# Dependencies of kipi-plugins

depends_lib-append  port:expat\
                    port:gdk-pixbuf2 \
                    port:libgpod \
                    port:libxml2 \
                    port:libxslt \
                    port:qca \
                    port:qjson \
                    port:ImageMagick \
                    path:include/eigen3/Eigen/Eigen:eigen3

# Dependencies of digiKam

depends_lib-append  port:boost \
                    port:gettext \
                    path:lib/pkgconfig/glib-2.0.pc:glib2 \
                    port:lensfun \
                    port:libgphoto2 \
                    port:liblqr \
                    port:libusb \
                    port:jasper \
                    port:shared-desktop-ontologies

# RunTime dependencies

depends_run-append  port:kde4-baseapps \
                    port:kde4-runtime \
                    port:oxygen-icons \
                    port:qt4-mac-sqlite3-plugin
# Following dependency is needed for the Panorama (and ExpoBlending?) tool, but
# cannot be installed on Intel Macs currently as far as I know. Also they need
# wxWidgets which currently cannot be installed with XCode of OS X 10.7 or
# newer.
# RJVB 20140918: hugin needs wxWidgets 3 nowadays, which introduces a dependency to another GUI framework. Users who
# want the Panorama tool can install hugin-app manually and then build digikam from source
# (or we could add yet another variant)
#                   port:hugin-app \

# kde4-baseapps is not universal
universal_variant   no

# gcc-4.0 is also blacklisted for opencv
# clang stumbles over CV_XADD macro, see #37184
compiler.blacklist  gcc-4.0
compiler.blacklist-append   {clang < 318}

# Configurations rules to compile fine #####################################

# 20140918: do we really need to specify the CMAKE_MODULE_PATH nowadays?
# -DCMAKE_MODULE_PATH=\"${prefix}/share/cmake-2.8/Modules\;${prefix}/share/cmake/modules\" \
# We do need to add ENABLE_KDEPIMLIBSSUPPORT though, otherwise the dependency on kdepimlibs4 is
# there for nothing!
# There also appears to be no (more) need to force-defined __KDE_HAVE_GCC_VISIBILITY
# -DCMAKE_CXX_FLAGS='-D__KDE_HAVE_GCC_VISIBILITY'
#-DCMAKE_SYSTEM_PREFIX_PATH=\"${prefix}\;/usr\"
#-DCMAKE_PREFIX_PATH=\"${prefix}/lib/cmake\"
#-DCMAKE_BUILD_WITH_INSTALL_RPATH=ON

configure.args-append -DENABLE_KDEPIMLIBSSUPPORT:BOOL=ON \
                      -DOpenCV_DIR=${prefix}/lib/cmake \
                      -DDIGIKAMSC_COMPILE_LIBKGEOMAP:BOOL=ON -DDIGIKAMSC_COMPILE_LIBKVKONTAKTE:BOOL=ON \
                      -DDIGIKAMSC_COMPILE_LIBMEDIAWIKI:BOOL=ON -DDIGIKAMSC_COMPILE_LIBKFACE:BOOL=ON \
                      -Wno-dev \
                      ../${distname}

# Optional compilation options #############################################

# Option to include debug symbols in compiled target

if {[variant_isset debug]} {
    configure.args-append -DCMAKE_BUILD_TYPE=debugfull
} else {
    # RJVB: use RelWithDebInfo instead of releasewithdebug, and prevent stripping
    #configure.args-append -DCMAKE_BUILD_TYPE=releasewithdebug
    configure.args-append -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo -DCMAKE_STRIP:FILEPATH=/bin/echo
}

# Option to compile handbook

if {[variant_isset docs]} {
    configure.args-append -DDIGIKAMSC_COMPILE_DOC=on
} else {
    configure.args-append -DDIGIKAMSC_COMPILE_DOC=off
}

# Option to compile GUI translations

variant translations description {Build digiKam GUI translations} {}

if {[variant_isset translations]} {
    configure.args-append -DDIGIKAMSC_COMPILE_PO=ON
} else {
    configure.args-append -DDIGIKAMSC_CHECKOUT_PO:BOOL=OFF -DDIGIKAMSC_COMPILE_PO=off
}

# Option to compile target using internal implementation of KdeGraphics shared libs maintained by digiKam team

variant use_private_libs description {Build digiKam with internal KDEGraphics libs} {}

if {[variant_isset use_private_libs]} {
    configure.args-append -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS=on
} else {
    configure.args-append -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS=off

    depends_lib-append port:libkdcraw \
                       port:libkexiv2 \
                       port:libkipi \
                       port:libksane
}

# Option to compile target with LCMS shared lib version 2 instead of version 1

variant lcms2 description {Build digiKam with LCMS2 shared libs instead of LCMS1} {}

if {[variant_isset lcms2]} {
    configure.args-append -DENABLE_LCMS2=on

    depends_lib-append port:lcms2
} else {
    configure.args-append -DENABLE_LCMS2=off

    depends_lib-append port:lcms
}

# Option to enable internal MySQL server

variant mysql_internal description {Enable support for internal MySQL database} {}

if {[variant_isset mysql_internal]} {
    configure.args-append -DENABLE_INTERNALMYSQL=on
    depends_lib-append    path:bin/mysql_config:mysql5 \
} else {
    configure.args-append -DENABLE_INTERNALMYSQL=off
}

# Options to build external MySQL database support

variant mysql51_external \
    description {Enable external MySQL 5.1 database support} {
    configure.args-append -DENABLE_MYSQLSUPPORT=ON
    depends_lib-append    port:qt4-mac-mysql51-plugin
}

variant mysql55_external \
    description {Enable external MySQL 5.5 database support} {
    configure.args-append -DENABLE_MYSQLSUPPORT=ON
    depends_lib-append    port:qt4-mac-mysql55-plugin
}

variant mysql56_external \
    description {Enable external MySQL 5.6 database support} {
    configure.args-append -DENABLE_MYSQLSUPPORT=ON
    depends_lib-append    port:qt4-mac-mysql56-plugin
}

variant mariadb_external \
    description {Enable external MySQL database support using MariaDB 5.5} {
    configure.args-append -DENABLE_MYSQLSUPPORT=ON
    depends_lib-append    port:qt4-mac-mariadb-plugin
}

livecheck.type      regex
livecheck.url       http://kde-apps.org/content/show.php/digiKam+Software+Collection?content=137059
livecheck.regex     "digiKam Software Collection.*(4\\.\\d+?(\\.\\d+))"
